<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{}, ~{::page}, ~{})" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <th:block th:fragment="table">
    <table class="ui table" th:if="${not #lists.isEmpty(workItemLogs)}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
      <thead>
        <tr>
          <th class="one wide column" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DAY}}"></th>
          <th class="five wide column" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_WORKITEM}}"></th>
          <th class="four wide column" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_CONTRACT}}"></th>
          <th class="four wide column" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ACTIVITY}}"></th>
          <th class="right aligned one wide column nowrap" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TIMESPENT}}"></th>
          <th class="one wide column"></th>
        </tr>
      </thead>
      <tbody>
        <tr th:each="item : ${workItemLogs}">
          <td class="nowrap" th:text="${#dates.format(item.day.date, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)}"></td>
          <td>
            <a class="header" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_WORKITEMS_UPDATE} + '/' + ${item.workItem.id}}" th:text="${item.workItem.number}"></a> -
            <span data-inverted="" data-variation="mini" th:data-tooltip="${item.workItem.name}" th:text="${#strings.length(item.workItem.name) > 60 ? #strings.substring(item.workItem.name, 0, 57) + ' ...' : item.workItem.name}"></span>
          </td>
          <td>
            <span th:each="prop : ${item.workItem.contract.properties}" th:if="${prop.pk.property.name == 'Project Number (AT)'}" th:text="${prop.value + ' - '}"></span>
            <span data-inverted="" data-variation="mini" th:data-tooltip="${item.workItem.contract.name}" th:text="${#strings.length(item.workItem.contract.name) > 50 ? #strings.substring(item.workItem.contract.name, 0, 47) + ' ...' : item.workItem.contract.name}"></span>
          </td>
          <td>
            <span data-inverted="" data-variation="mini" th:data-tooltip="${item.activity.name}" th:if="${item.activity != null}" th:text="${#strings.length(item.activity.name) > 60 ? #strings.substring(item.activity.name, 0, 57) + ' ...' : item.activity.name}"></span>
          </td>
          <td class="right aligned" th:text="${item.timeSpent}"></td>
          <td>
            <div class="right aligned" th:unless="${item.timesheet?.submitted}">
              <i class="edit icon pointer" th:onclick="'javascript:editWorklog(\'' + ${item.id} + '\');'" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
              <i class="trash icon pointer" th:onclick="'javascript:deleteWorklog(\'' + ${item.id} + '\');'" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </th:block>
</body>
</html>